<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursBewerbung;

class ControllerFactory
{
  
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      case 'kursuebersicht':
        return new KursUebersicht\KursUebersichtController();
      case 'setFilterKursUebersicht':
        return new KursUebersicht\KursUebersichtSetFilterController();
      case 'resetFilterKursUebersicht':
        return new KursUebersicht\KursUebersichtResetFilterController();
      case 'showFilterKursUebersicht':
        return new ShowFilterKursUebersicht\ShowFilterKursUebersichtController();
      case 'kursdetails':
        return new KursDetails\DozKursDetailsController();

      case 'reiterKursDetails':
        return new Detailsreiter\KursDetails\DozKursDetailsController();
      case 'info':
        return new Detailsreiter\Info\DozInfoController();

      case 'reiterTermine':
      case 'resetFilterTermine': 
        return new Detailsreiter\Termine\DozTermineController();
      case 'setFilterTermine':
        return new Detailsreiter\Termine\DozTermineSetFilterController();
      case 'showFilterTermine':
        return new Detailsreiter\Termine\ShowFilterTermine\DozShowFilterTermineController();

      case 'reiterFotos':
        return new Detailsreiter\Fotos\FotosController();

      case 'merkeKursDetailsReiter':
        return new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\MerkeReiter\MerkeReiterController(10, 49);

      case 'bewerbungsFormular':
        return new BewerbungsFormular\BewerbungsFormularController();
      case 'bewerbungAbsenden':
        return new BewerbungsFormular\BewerbungAbsendenController();
    }
  }
}